Compile error: "implicit declaration of function 'pthread_get_stackaddr_np'",

"'pthread_get_stacksize_np'"

03/18/2012 06:09 AM - tw (Ted Wing)

Status: Rejected   

Priority: Normal   

Assignee: sorah (Sorah Fukumori)   

Target version: 1.9.3   

ruby -v: ruby 1.8.7 (2008-05-31 patchlevel 0)

[i686-darwin8.11.1]

Backport:  

Description

=begin

When compiling Ruby 1.9.3 (I've tested 1.9.3p0 and 1.9.3p125), (({thread_pthread.c})) produces a compile error.

The following is the GCC output for the error:

compiling thread.c

In file included from thread.c:204:

thread_pthread.c: In function 'get_stack':

thread_pthread.c:508: error: implicit declaration of function 'pthread_get_stackaddr_np'

thread_pthread.c:508: warning: assignment makes pointer from integer without a cast

thread_pthread.c:509: error: implicit declaration of function 'pthread_get_stacksize_np'

make: *** [thread.o] Error 1

I have (({pthread.h})) in my standard include library (which defines those functions), but my best guess is that for some reason

(({thread_pthread.c})) doesn't see it. This is coming from the file (({thread.c})), which includes (({thread_pthread.c})) if that makes any

difference.

==== Environment

GCC version: 4.0.1

OS: Mac OS X 10.4.11 Intel

=end

Associated revisions

Revision 6a1f41867229528e90d94081b38fcc838b4b25f4 - 04/10/2012 07:53 AM - nobu (Nobuyoshi Nakada)

thread_pthread.c: add prototype declarations for older Mac OS X.

[ruby-core:43376][Bug #6170]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@35280 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6a1f4186 - 04/10/2012 07:53 AM - nobu (Nobuyoshi Nakada)

thread_pthread.c: add prototype declarations for older Mac OS X.

[ruby-core:43376][Bug #6170]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@35280 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 04/10/2012 02:00 PM - mame (Yusuke Endoh)

- Status changed from Open to Assigned

- Assignee set to sorah (Sorah Fukumori)

Sorah, do you know anything about this error?

--

Yusuke Endoh mame@tsg.ne.jp

#2 - 04/10/2012 02:33 PM - nobu (Nobuyoshi Nakada)
mailto:mame@tsg.ne.jp


- Status changed from Assigned to Rejected

Mac OS X prior to 10.5 has not been supported ever.
